TraceStateImpl (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.tracing

## Class TraceStateImpl

- java.lang.Object
- - org.apache.cassandra.tracing.TraceState
  - - org.apache.cassandra.tracing.TraceStateImpl

- All Implemented Interfaces:
    ProgressEventNotifier

      public class TraceStateImpl
      extends TraceState

  ThreadLocal state for a tracing session. The presence of an instance of this class as a ThreadLocal denotes that an operation is being traced.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.tracing.TraceState

      `TraceState.Status`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `WAIT_FOR_PENDING_EVENTS_TIMEOUT_SECS`

    - ### Fields inherited from class org.apache.cassandra.tracing.TraceState

      `coordinator, sessionId, sessionIdBytes, traceType, ttl, watch`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraceStateImpl(java.net.InetAddress coordinator, java.util.UUID sessionId, Tracing.TraceType traceType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `traceImpl(java.lang.String message)`
    `protected void` | `waitForPendingEvents()` Wait on submitted futures

    - ### Methods inherited from class org.apache.cassandra.tracing.TraceState

      `acquireReference, addProgressListener, elapsed, enableActivityNotification, notifyActivity, releaseReference, removeProgressListener, stop, trace, trace, trace, trace, waitActivity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WAIT_FOR_PENDING_EVENTS_TIMEOUT_SECS

          public static int WAIT_FOR_PENDING_EVENTS_TIMEOUT_SECS

  - ### Constructor Detail

    - #### TraceStateImpl

          public TraceStateImpl(java.net.InetAddress coordinator,
                                java.util.UUID sessionId,
                                Tracing.TraceType traceType)

  - ### Method Detail

    - #### traceImpl

          protected void traceImpl(java.lang.String message)

      Specified by:
        `traceImpl` in class `TraceState`

    - #### waitForPendingEvents

          protected void waitForPendingEvents()

      Wait on submitted futures
      Overrides:
        `waitForPendingEvents` in class `TraceState`

Copyright © 2018 The Apache Software Foundation